import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsTeacherclass {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  ClassId!: bigint;
  SchoolId!: bigint;
  GradeId!: bigint;
  SubjectId!: bigint;
  TeacherId!: bigint;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsTeacherclassSchema = defineEntity({
  class: ScsTeacherclass,
  comment: '教师班级关系',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    ClassId: p.bigint().name('ClassId').comment('班级id'),
    SchoolId: p.bigint().name('SchoolId').comment('学校id'),
    GradeId: p.bigint().name('GradeId').comment('届id'),
    SubjectId: p.bigint().name('SubjectId').comment('科目id'),
    TeacherId: p.bigint().name('TeacherId').comment('教师id'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
